This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 988905 - 20% performance regression in distributed, udp, tx, sync library stress tests
20% performance regression in distributed, udp, tx, sync library stress tests
Status: VERIFIED
Product: JBoss Data Grid 6
Classification: JBoss
Component: Performance (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity high
: ---
: 6.2.0
Assigned To: Steve Jacobs
Martin Gencur
:
Depends On:
Blocks: 1017190
  Show dependency treegraph
 
Reported: 2013-07-26 12:34 EDT by Alan Field
Modified: 2014-11-30 16:16 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
JDG 6.2.0.DR1 vs 6.1 library mode performance (27.22 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-07-26 12:34 EDT, Alan Field
no flags Details
JDG 6.2.0.ER1 vs 6.1 library mode performance (27.23 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-09-26 14:56 EDT, Alan Field
no flags Details

  None (edit)
Description Alan Field 2013-07-26 12:34:45 EDT
Created attachment 778832 [details]
JDG 6.2.0.DR1 vs 6.1 library mode performance

Average read and write response times are 20% higher for 6.2.0.DR1 than the results for 6.1.0.GA

attaching ODS spreadsheet with more data. ("dist-udp-tx-sync" sheet)
jobs:
JDG 6.1 results - https://jenkins.mw.lab.eng.bos.redhat.com/hudson/job/jdg-radargun-perf-jdg62-dist-vs-repl/6/

JDG 6.2.0.DR1 results - https://jenkins.mw.lab.eng.bos.redhat.com/hudson/job/jdg-radargun-perf-jdg62-dist-vs-repl/5/
Comment 2 Alan Field 2013-09-26 14:56:31 EDT
Created attachment 803537 [details]
JDG 6.2.0.ER1 vs 6.1 library mode performance
Comment 3 Alan Field 2013-09-26 14:57:47 EDT
Updated with test results from JDG 6.2.0 ER1. Reads are 20% slower and writes are about 12% slower than in JDG 6.1 GA
Comment 4 Radim Vansa 2013-12-10 04:30:20 EST
The issue was fixed in JGroups 3.4.1
These configuration options are required for optimal performance:
(TCP|UDP).bundler_type="old"
UNICAST3 protocol
(UFC|MFC).max_credits="2M"

Note You need to log in before you can comment on or make changes to this bug.